Continuum Analytics: Documentation

# conda upgrade

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda upgrade

## DESCRIPTION

           usage:   conda   upgrade  [-h]  [-y]  [--dry-run]  [-f]  [--file  FILE]
           [--no-deps] [-m]

           [--use-index-cache] [--use-local] [--offline] [--no-pin]
                  [-c CHANNEL] [--override-channels] [-n ENVIRONMENT  |  -p  PATH]
                  [-q]  [--copy] [--clobber] [-k] [--alt-hint] [--update-dependen-
                  cies]      [--no-update-dependencies]       [--channel-priority]
                  [--no-channel-priority]  [--show-channel-urls]  [--no-show-chan-
                  nel-urls] [--json] [--debug] [--verbose]  [--all]  [package_spec
                  [package_spec ...]]

           Alias for conda update.  See conda update --help.

## OPTIONS

       positional arguments:
           package_spec
                  Packages to install into the conda environment.

       optional arguments:
           -h, --help
                  Show this help message and exit.

           -y, --yes
                  Do not ask for confirmation.

           --dry-run
                  Only display what would have been done.

           -f, --force
                  Force  install  (even  when  package already installed), implies
                  --no-deps.

           --file FILE
                  Read package versions from the given file. Repeated file  speci-
                  fications can be passed (e.g. --file=file1 --file=file2).

           --no-deps
                  Do not install dependencies.

           -m, --mkdir
                  Create the environment directory if necessary.

           --use-index-cache
                  Use cache of channel index files.

           --use-local
                  Use locally built packages.

           --offline
                  Offline mode, don't connect to the Internet.

           --no-pin
                  Ignore pinned file.

           -c CHANNEL, --channel CHANNEL
                  Additional  channel  to  search  for  packages.  These  are URLs
                  searched in the order they  are  given  (including  file://  for
                  local directories). Then, the defaults or channels from .condarc
                  are searched (unless --override-channels is given). You can  use
                  'defaults'  to  get the default packages for conda, and 'system'
                  to get the system  packages,  which  also  takes  .condarc  into
                  account.  You  can  also  use  any  name  and the .condarc chan-
                  nel_alias value will be prepended. The default channel_alias  is
                  http://conda.anaconda.org/.

           --override-channels
                  Do  not search default or .condarc channels. Requires --channel.

           -n ENVIRONMENT, --name ENVIRONMENT
                  Name     of      environment      (in      root      prefix/envs
                  :/Users/wwarner/.conda/envs).

           -p PATH, --prefix PATH
                  Full path to environment prefix (default: default prefix).

           -q, --quiet
                  Do not display progress bar.

           --copy Install all packages using copies instead of hard- or soft-link-
                  ing.

           --clobber
                  Allow clobbering of overlapping file paths within packages,  and
                  suppress related warnings.

           -k, --insecure
                  Allow  conda  to  perform  "insecure" SSL connections and trans-
                  fers.Equivalent to setting 'ssl_verify' to 'false'.

           --alt-hint
                  Use an alternate algorithm to generate an unsatisfiability hint.

           --update-dependencies, --update-deps
                  Update dependencies (default: True).

           --no-update-dependencies, --no-update-deps
                  Don't update dependencies (default: False).

           --channel-priority, --channel-pri, --chan-pri
                  Channel priority takes precedence over package version (default:
                  True). Note: This feature is in beta and may change in a  future
                  release.

           --no-channel-priority, --no-channel-pri, --no-chan-pri
                  Package version takes precedence over channel priority (default:
                  False). Note: This feature is in beta and may change in a future
                  release.

           --show-channel-urls
                  Show channel urls (default: None).

           --no-show-channel-urls
                  Don't show channel urls.

           --json Report all output as json. Suitable for using conda programmati-
                  cally.

           --debug
                  Show debug output.

           --verbose, -v
                  Use once for info, twice for debug, three times for trace.

           --all  Update all installed packages in the environment.

## EXAMPLES

                  conda upgrade -n myenv scipy

    Continuum Analytics                June 2017                          CONDA(1)